package cn.superdesk.uniorder.dto.param.operationCenter.customer.settlement;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Author : zx
 * @Create : 2023/5/10 17:53
 * Description : 订单结算金额
 */
@Data
public class UnifiedSettlementAmountRuleParam implements Serializable {
    private Integer display;//排序 序号
    private String operator_names;//适用运营商
    private String org_names;//使用项目
  //  private String

    private String operatorIds;//运营商id-多个
    private String orgIds;//项目id-多个
    private String bizPlatformCodes;//订单类型-多个 OpCenterBizPlatformEnum
    private Integer amountRule;//  SettlementAmountRuleEnum
    private BigDecimal amountRate;//结算规则比例


}
