package cn.superdesk.uniorder.dubbo.provider.unified.settlement;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.unified.settlement.UnifiedSettlementProgramme;
import cn.superdesk.uniorder.dto.param.operationCenter.customer.settlement.UnifiedSettlementParam;
import cn.superdesk.uniorder.dubbo.facade.unified.settlement.DubboUnifiedSettlementProgrammeService;
import cn.superdesk.uniorder.service.unified.settlement.UnifiedSettlementProgrammeService;
import com.alibaba.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

@Service(version = "1.0.1", retries = -1, timeout = 10000)
public class DubboUnifiedSettlementProgrammeServiceImpl implements DubboUnifiedSettlementProgrammeService {
    @Autowired
    UnifiedSettlementProgrammeService unifiedSettlementProgrammeService;
    @Override
    public UnifiedSettlementProgramme findById(Long id) {
        return unifiedSettlementProgrammeService.findById(id);
    }

    @Override
    public R<String> saveUnifiedSettlement(UnifiedSettlementParam param, Long sysUserId) {
        return unifiedSettlementProgrammeService.saveUnifiedSettlement(param, sysUserId);
    }
}
